Subject: bug#9941: Handle truncated member names in LIBADD archive libraries

From: Bob Friesenhahn <[email-masked]>
Date: Thu, 3 Nov 2011 08:51:50 -0500 (CDT)

On Wed, 2 Nov 2011, Daniel Richard G. wrote:

> Hello list,
>
> Lately, I've been playing around with an old system (NeXTSTEP 3.3) whose
> ar(1) implementation truncates member names to 15 characters. Generally
> this hasn't posed a problem, but in building the iODBC libraries with
> Libtool 2.4.2, I encountered linking issues traceable to this.

This is an interesting problem.  There would be similar problems if 
the underlying filesystem did not support long file names (as was 
common on SYSVR.3 systems).

What happens if several of the original object file names are 
identical for the first 15 characters?

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/